Skip to main content
GET
/
extracts
/
{id}
/
debug
Get extract debug info
curl --request GET \
  --url https://api.prequel.co/import/extracts/{id}/debug \
  --header 'X-API-KEY: <api-key>'
{
  "status": "success",
  "has_next": true,
  "records": [
    {
      "record_id": "<string>",
      "last_seen_at": "2023-11-07T05:31:56Z",
      "last_seen_in_snapshot": "<string>",
      "last_extracted_at": "2023-11-07T05:31:56Z",
      "last_modified_in_source_at": "2023-11-07T05:31:56Z",
      "is_deleted": true,
      "is_extracted": true,
      "extracted_data": {},
      "extracted_data_schema": {},
      "extracted_data_checksum": "<string>",
      "first_seen_at": "2023-11-07T05:31:56Z",
      "first_seen_in_snapshot": "<string>",
      "last_extracted_in_snapshot": "<string>",
      "error_code": "<string>",
      "error_trace": "<string>",
      "first_extracted_at": "<string>",
      "first_extracted_in_snapshot": "<string>",
      "prev_seen_at": "<string>",
      "prev_seen_in_snapshot": "<string>",
      "prev_extracted_at": "<string>",
      "prev_extracted_in_snapshot": "<string>"
    }
  ],
  "next_url": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Query Parameters

has_error
boolean

Filter records by error state. true returns only records with errors; false returns only records without errors. Omit to return all records.

cursor
string

Opaque cursor for pagination.

page_size
integer
default:10
Required range: 1 <= x <= 100

Response

Success

status
string
required
Example:

"success"

has_next
boolean
required
records
object[]
required
next_url
string<uri> | null